Package fr.gouv.vitam.storage.engine.server.offersynchronization

# Class OfferSyncProcess

java.lang.Object
fr.gouv.vitam.storage.engine.server.offersynchronization.OfferSyncProcess

public class OfferSyncProcess extends Object
Synchronization of a storage offer from another one.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OFFER_SYNC_ORIGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfferSyncProcess(RestoreOfferBackupService restoreOfferBackupService, StorageDistribution distribution, int bulkSize, int offerSyncNumberOfRetries, int offerSyncFirstAttemptWaitingTime, int offerSyncWaitingTime, int accessRequestCheckWaitingTime)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OfferSyncStatus`
  `getOfferSyncStatus()`
  `boolean`
  `isRunning()`
  `void`
  `synchronize(Executor executor, String sourceOffer, String targetOffer, String strategyId, List<OfferPartialSyncItem> items)`
  `void`
  `synchronize(ExecutorService executor, String sourceOffer, String targetOffer, String strategyId, DataCategory dataCategory, Long startOffset)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OFFER_SYNC_ORIGIN

    public static final String OFFER_SYNC_ORIGIN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OfferSyncProcess

    public OfferSyncProcess(RestoreOfferBackupService restoreOfferBackupService, StorageDistribution distribution, int bulkSize, int offerSyncNumberOfRetries, int offerSyncFirstAttemptWaitingTime, int offerSyncWaitingTime, int accessRequestCheckWaitingTime)

- ## Method Details

  - ### synchronize

    public void synchronize(ExecutorService executor, String sourceOffer, String targetOffer, String strategyId, DataCategory dataCategory, Long startOffset)

  - ### isRunning

    public boolean isRunning()

  - ### getOfferSyncStatus

    public OfferSyncStatus getOfferSyncStatus()

  - ### synchronize

    public void synchronize(Executor executor, String sourceOffer, String targetOffer, String strategyId, List<OfferPartialSyncItem> items)